# ministream

Small streaming service utilizing WebRTC and WHIP, written in go.

## Deployment

Create a `ministream.service` like this:

```
# /etc/systemd/system/ministream.service
[Unit]
Description=Ministream Container
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker pull git.t-juice.club/torjus/ministream:latest
ExecStartPre=-/usr/bin/docker stop ministream
ExecStartPre=-/usr/bin/docker rm ministream
ExecStart=/usr/bin/docker run -p 50000-50050:50000-50050/udp \
  -p 8080:8080 \
  --name ministream git.t-juice.club/torjus/ministream:latest

[Install]
WantedBy=multi-user.target
```

After running the service, it should be accessible on `http://HOSTNAME:8080`


## Build and run using Docker

```console
$ docker build -t ministream:latest .
...
$ docker run -p 50000-50050:50000-50050/udp -p 8080:8080 ministream:latest
```
